Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/06/2023 in all areas

  1. Wanted to be sure to say THANK YOU for all the help!!
    1 point
  2. Worked as hoped. Turned out to be the same thing, only different. <lsp routine> (defun c:ASD (/ pt1 pt2 ss tt1 tt2) (vl-load-com) (vl-file-copy "C:/crg/blocks/stamps/seal-ABC.dwg" "c:/crg/19010-74-erase when done/seal-ABC.dwg") (command "script" "c:/crg/scripts/asd.scr") );defun <script file> _open "c:/crg/19010-74-erase when done/seal-ABC.dwg" (setq datestr (rtos (getvar "CDATE") 2 0)) (setq datetx (strcat "DATE SIGNED " (substr datestr 5 2) "-" (substr datestr 7 2) "-" (substr datestr 1 4))) (setq pt1 '(-0.16260707 -0.35714304 0)) (setq pt2 '(0.09768882 -0.46857246 0)) (setq ss (ssget "F" (list pt1 pt2))) (setq tt1 (entget (ssname ss 0))) (setq tt2 (cdr (assoc 1 tt1))) (setq tt2 (subst (cons 1 datetx) (assoc 1 tt1) tt1)) (entmod tt2) QSAVE close Thanks again, Steven P
    1 point
  3. Sadly, that makes sense. Thought of using a script at first but thought this could work. Thanks a lot for the help.
    1 point
  4. Set the system variable MESHTYPE to 0 before the command RULESURF
    1 point
  5. 1 point
  6. The DWG should be at your first post , a DWG worth 1000000000 words.
    1 point
  7. On @Emmanuel Delay permit ;; 1/ having the same thickness, never mind the color or linetype (defun c:spst-43 ( / source thickness ss i pickset) ;; user selects source (setq source (car (entsel "\nSelect Source object: "))) ;; read line thickness (setq thickness (cdr (assoc 43 (entget source)))) ;; line thickness ;; select all ploylines with that thinkness (setq ss (ssget "_X" (list (cons 0 "*POLYLINE") (cons 43 thickness)))) ;; now grip these objects (setq pickset (ssadd)) (setq i 0) (repeat (sslength ss) (ssadd (ssname ss i) pickset) (setq i (+ i 1)) ) ;; this grips the objects (sssetfirst nil pickset) ) ;; 2/ having the same thickness and color, never mind the linetype (solution n°2). (defun c:spstc-43-62 ( / source thickness ss i pickset) (setq source (car (entsel "\nSelect Source object: "))) (setq thickness (cdr (assoc 43 (entget source)))) ;; line thickness (setq color (cdr (assoc 62 (entget source)))) ;; color (setq ss (ssget "_X" (list (cons 0 "*POLYLINE") (cons 43 thickness) (cons 62 color)))) (setq pickset (ssadd)) (setq i 0) (repeat (sslength ss) (ssadd (ssname ss i) pickset) (setq i (+ i 1)) ) (sssetfirst nil pickset) )
    1 point
  8. Underscore prefix allow not english ACAD , to be as english .
    1 point
  9. Look at Civil Site Design its drainage module does HGL on long sections. Runs with CIV3D or Bricscad.
    1 point
  10. @wk9128 Attached is one I wrote a while back. It's not exactly what you want. load the file into your drawing and type ISODIM. limitations with this routine: 1) you have to be on the correct ISOPLANE when placing the dimension. Use CTRL-E to switch the ISOPLANE while placing the dimension. 3) The dimension text will look correct, but the dimension arrows will look a little off. In a future revision I may include Isometric custom arrowhead blocks. 3) The dimension points must be aligned in the current ISOPLANE or the measurement will not be correct. Example: if the 2 points represent different edges of a step, or an edge to a hole, the dimension will measure directly across the 2 points instead of the actual linear dimension across the span. use implied object snapping to get your points aligned, then make a fake extension of the dimension extension line or centerline to make the dimension look correct. I don't know of a better routine out there to dimension Isometric 2D drawings. If there was - I would probably be using it instead of this. EDIT: I also have attached an updated version of your ISOMETRIC DRAWING Example after using my routine. PJK-ISODIM.lsp ISOMETRIC DRAWING.dwg
    1 point
  11. Just a comment I use a library List box.lsp making a list dcl then you can use it in any code with out having to copy and edit the source into every code. Its just 2 lines of code, plus list. This version matches what was provided by Lee-mac. I have another similar. You could do it to what you have done. (setq lst (list "l1" "l2" "l3" "l4" "L5")) (if (not LM:listbox)(load "ListBoxV1-2.lsp")) ; loads the lisp if not already loaded (setq ans (LM:listbox "please choose " lst 1))
    1 point
×
×
  • Create New...